<!DOCTYPE html>
<html lang="en">

  <head>
    <meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

<meta property="og:title" content="About Kamikaze Cookery" />
<meta property="og:description" content="Three geeks. Cooking. With science.
And explosions.
Described as &ldquo;Top Gear with food and without that twat Clarkson&rdquo; (by one of our mates, admittedly), we&rsquo;re putting the &ldquo;fun&rdquo; back into &ldquo;food&rdquo;. Which means we&rsquo;re making &ldquo;funood&rdquo;. And lots of it.
We&rsquo;re taking cutting-edge &ldquo;molecular gastronomy&rdquo; techniques and explaining them with inept cookery and sweary stick figures. We subject traditional cookery - whether that&rsquo;s a Gordon Ramsey recipe or irrational beliefs about &ldquo;sealing meat&rdquo; - to rigorous, sort-of scientific testing." />
<meta property="og:type" content="article" />
<meta property="og:url" content="http://www.kamikazecookery.com/about-kamikaze-cookery/" />


<meta property="og:updated_time" content="2013-01-11T15:58:00&#43;00:00"/>











<meta itemprop="name" content="About Kamikaze Cookery">
<meta itemprop="description" content="Three geeks. Cooking. With science.
And explosions.
Described as &ldquo;Top Gear with food and without that twat Clarkson&rdquo; (by one of our mates, admittedly), we&rsquo;re putting the &ldquo;fun&rdquo; back into &ldquo;food&rdquo;. Which means we&rsquo;re making &ldquo;funood&rdquo;. And lots of it.
We&rsquo;re taking cutting-edge &ldquo;molecular gastronomy&rdquo; techniques and explaining them with inept cookery and sweary stick figures. We subject traditional cookery - whether that&rsquo;s a Gordon Ramsey recipe or irrational beliefs about &ldquo;sealing meat&rdquo; - to rigorous, sort-of scientific testing.">


<meta itemprop="dateModified" content="2013-01-11T15:58:00&#43;00:00" />
<meta itemprop="wordCount" content="429">



<meta itemprop="keywords" content="" />



  <meta name="twitter:card" content="summary"/>



<meta name="twitter:title" content="About Kamikaze Cookery"/>
<meta name="twitter:description" content="Three geeks. Cooking. With science.
And explosions.
Described as &ldquo;Top Gear with food and without that twat Clarkson&rdquo; (by one of our mates, admittedly), we&rsquo;re putting the &ldquo;fun&rdquo; back into &ldquo;food&rdquo;. Which means we&rsquo;re making &ldquo;funood&rdquo;. And lots of it.
We&rsquo;re taking cutting-edge &ldquo;molecular gastronomy&rdquo; techniques and explaining them with inept cookery and sweary stick figures. We subject traditional cookery - whether that&rsquo;s a Gordon Ramsey recipe or irrational beliefs about &ldquo;sealing meat&rdquo; - to rigorous, sort-of scientific testing."/>










<meta name="generator" content="Hugo 0.18.1" />


    <link rel="canonical" href="index.html">

    <title>About Kamikaze Cookery | Kamikaze Cookery | Geeks cook – with SCIENCE.</title>

    <!-- combined, minified CSS -->
    <link href="../css/style.css" rel="stylesheet"   crossorigin="anonymous">

    

    

    

    
<style>
    .blog-masthead{
        background-color: #f66708; 
        margin-bottom: 0px; 
    }
    h2{
        text-align: center; 
        margin: 40px; 
    }
    .container img {
        display: block; 
        margin: 0 auto; 
    }
    h1{ 
        margin: 50px; 
        text-align: center; 
    }
</style>
  </head>

  <body>

<div id="disclaimer" style="display: block; visibility: visible; top: 0; width: 100%;        font-size: 25px; color: #eee; background-color: #333; border: 2px solid #888; margin-bottom: 30px; padding-left: 10%; padding-right: 10%;"> <a href="https://en.wikipedia.org/wiki/Strange_Company" style="color: #55c;">Strange Company</a>`s Director, <a href="https://www.heraldscotland.com/opinion/16060383.obituary-hugh-russell-paul-hancock-machinima-founder-virtual-reality-pioneer/" style="color: #55c;">Hugh Hancock</a>, died in 2018. <strong>Strange Company</strong> is no longer a registered Company. This site is part of his body of work, and as such it is hosted and maintained by a group of volunteers and as an archive of his work. A comprehensive list of the works being archived can be found <a href="https://strangecompany.org/archive/">here</a>. If you have any problems with the site,     please <a href="https://forms.gle/boqVcQxNyVvYFFEW7" style="color: #55c;">report them using this form</a>. </div>
    <a  href="../index.html"><div class="container" style="background-image: url(../images/cropped-Logo-final1.jpg); padding: 0px; background-size:cover; min-height: 360px"></div> </a> 
    <div class="blog-masthead">
      <div class="container">
      
        <nav class="nav blog-nav">
                   
          <a class="nav-link" href="../index.html">Episodes</a>
          <a class="nav-link" href="index.html">About</a>
          <a class="nav-link" href="../blog/index.html">Blog</a>
          

        </nav>
      </div>
    </div>

    <div class="container">
      <div class="row">
        <div class="col-sm-12 blog-main">

          


<article class="blog-post">
  <header>
    <h2 class="blog-post-title"><a href="index.html">About Kamikaze Cookery</a></h2>
    <p class="blog-post-meta"><time datetime="2013-01-11T15:58:00Z">Fri Jan 11, 2013</time> by kamikazecook</p>
  </header>
  

<p>Three geeks. Cooking. With science.</p>

<p>And explosions.</p>

<p>Described as &ldquo;Top Gear with food and without that twat Clarkson&rdquo; (by one of our mates, admittedly), we&rsquo;re putting the &ldquo;fun&rdquo; back into &ldquo;food&rdquo;. Which means we&rsquo;re making &ldquo;funood&rdquo;. And lots of it.</p>

<p>We&rsquo;re taking cutting-edge &ldquo;molecular gastronomy&rdquo; techniques and explaining them with inept cookery and sweary stick figures. We subject traditional cookery - whether that&rsquo;s a Gordon Ramsey recipe or irrational beliefs about &ldquo;sealing meat&rdquo; - to rigorous, sort-of scientific testing. And, we teach you how to cook good food. With Science.</p>

<p>Also, we sometimes soak ourselves in apple juice, burn ourselves with hot metal, blow things up or nearly starve to death trying to live on a diet invented by hippies.</p>

<p>In Season 0 of KKCook (we index <em><a href="https://en.wikipedia.org/wiki/0_(number)">properly</a></em>), we mythbust herbal teas and preheated ovens, test out blowtorches, blenders, and celebrity chef cookbooks, try to reduce our food miles (then realise it&rsquo;s pointless), and teach you how to cook a perfect steak with a vacuum cleaner, a thermometer and a blowtorch.</p>

<p>Cookery. Now with Science. Sort of.</p>

<p>Watch.</p>

<p>(At the very least, you&rsquo;ll get to see us hurt ourselves.)</p>

<h1 id="contact-us">Contact Us</h1>

<p>If you want to contact us, you can email us at info at kamikazecookery [DOT] com. Or just comment on the blog or the episodes!</p>

<h2 id="your-hosts">Your Hosts</h2>

<h3 id="hugh">Hugh</h3>

<p><img src="https://kamikazecook.wpengine.com/wp-content/uploads/2013/01/Hugh-253x300.jpg" alt="Hugh" /></p>

<p>Hot from the fast-paced world of <a href="http://www.strangecompany.org">playing games all day</a>, Kamikaze Cookery&rsquo;s Executive Producer has no cooking qualifications whatsoever. Not even a Domestic Science <a href="https://en.wikipedia.org/wiki/Gcse">GSCE</a>.</p>

<p>But he <em>has</em> cooked a full-scale Roman banquet, attempted to buy liquid nitrogen for culinary purposes, built his own laboratory water bath, and read everything Heston Blumenthal has ever written. Literally.</p>

<p>If you want <em>even more</em> Hugh for some reason, he&rsquo;s also the curator of the <a href="http://www.mmomeltingpot.com">MMO Melting Pot</a>.</p>

<h3 id="alex">Alex</h3>

<p><img src="https://kamikazecook.wpengine.com/wp-content/uploads/2013/01/Alex-270x300.jpg" alt="Alex" /></p>

<p>Alex attempted to tell us that he wasn&rsquo;t a great cook when we started filming KKCook. But we told him to shut up and hold this blowtorch.</p>

<p>Now, armed with an encyclopedic knowledge of beer and chillis and more Wikipedia pages than porn sites on his browser history, he is Kamikaze Cookery&rsquo;s Stuff That The Other Two Don&rsquo;t Know About expert.</p>

<h3 id="paul">Paul</h3>

<p><img src="https://kamikazecook.wpengine.com/wp-content/uploads/2013/01/Paul-300x270.jpg" alt="Paul" /></p>

<p>Paul informs us that he&rsquo;s an excellent cook. None of us have ever eaten anything he&rsquo;s made, although Hugh has watched him make a Shepherd&rsquo;s Pie from mince three days past its sell-by date.</p>

<p>But he rants like <a href="https://en.wikipedia.org/wiki/Bill_hicks">Bill Hicks</a> on a caffeine overdose (and with an English accent and none of the Goatboy rubbish), he&rsquo;s sceptical of any cookery innovation that&rsquo;s less than 8,000 years old, and he&rsquo;s got a sweet hat.</p>


  

  
  <hr>
  <footer>

  
    <section>
    <h4>Share</h4>
    <nav class="nav sharing-icons">
      <a class="nav-item" href="https://www.facebook.com/sharer/sharer.php?u=http%3a%2f%2fwww.kamikazecookery.com%2fabout-kamikaze-cookery%2f" title="Share on Facebook"><span class="fa fa-facebook fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://plus.google.com/share?url=http%3a%2f%2fwww.kamikazecookery.com%2fabout-kamikaze-cookery%2f" title="Share on Google+"><span class="fa fa-google-plus fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://www.linkedin.com/shareArticle?mini=true&amp;url=http%3a%2f%2fwww.kamikazecookery.com%2fabout-kamikaze-cookery%2f" title="Share on LinkedIn"><span class="fa fa-linkedin fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://twitter.com/home?status=http%3a%2f%2fwww.kamikazecookery.com%2fabout-kamikaze-cookery%2f" title="Tweet this"><span class="fa fa-twitter fa-2x"></span></a>
    </nav>
  </section>

  

  
  </footer>
  

</article> 



        </div> <!-- /.blog-main -->


      </div> <!-- /.row -->
    </div> <!-- /.container -->

    <footer class="blog-footer">
      <p>
      
      Blog template created by <a href="https://twitter.com/mdo">@mdo</a>, ported to Hugo by <a href='https://twitter.com/mralanorth'>@mralanorth</a>.
      
      </p>
      <p>
      <a href="index.html#">Back to top</a>
      </p>
    </footer>
<script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

  ga('create', 'UA-696676-8', 'auto');
  ga('send', 'pageview');

</script>
  </body>

</html>
